SystemOrganization addCategory: #TpTraitsAlphaTest!

TestCase subclass: #ATestAlumno
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2 curso1 cursada curso2 curso3 cursada2 cursada3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:20'!
setUp
alumnoPepe := AAlumno new.
curso1 := ACurso new.
curso2 := ACurso new.
curso3 := ACurso new.
cursada:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso1.
cursada2:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso2. 
cursada3:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso3.

cursada nota: 9.
cursada2 nota: 6.
cursada3 nota: 4.





! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:24'!
testCantidadDeAbandonadas
	self assert: alumnoPepe cantidadDeAbandonadas  equals: 0! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:23'!
testCantidadDeAprobados
	self assert: alumnoPepe cantidadDeAprobadas  equals: 3! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:25'!
testCantidadDeIniciadas
	self assert: alumnoPepe cantidadDeIniciadas  equals: 3! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:08'!
testListarNotas
	self assert: alumnoPepe  tablaDeNotas  equals: #(0 0 0 1 0 1 0 0 1 0)! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 10:46'!
testPromedioConAplazos
	self assert: alumnoPepe promedioConAplazos  equals: 6! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 10:41'!
testPromedioSinAplazos
	self assert: alumnoPepe promedioSinAplazos  equals: 6! !

TestCase subclass: #ATestCurso
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2 curso1 cursada curso2 curso3 cursada2 cursada3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:19'!
setUp
alumnoPepe := AAlumno new.
curso1 := ACurso new.

cursada:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso1.
cursada2:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso1. 
cursada3:= ACursada crearCursadaParaAlumno: alumnoPepe  fecha: Date today curso: curso1.

cursada nota: 9.
cursada2 nota: 6.
cursada3 nota: 4.

! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:24'!
testCantidadDeAbandonadas
	self assert: curso1 cantidadDeAbandonadas  equals: 0! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:23'!
testCantidadDeAprobados
	self assert: curso1 cantidadDeAprobadas  equals: 3! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:26'!
testCantidadDeIniciadas
	self assert: curso1 cantidadDeIniciadas  equals: 3! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:21'!
testListarNotas
	self assert: curso1  tablaDeNotas  equals: #(0 0 0 1 0 1 0 0 1 0)! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:20'!
testPromedioConAplazos
	self assert: curso1 promedioConAplazos  equals: 6! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 11:21'!
testPromedioSinAplazos
	self assert: curso1 promedioSinAplazos  equals: 6! !

TestCase subclass: #ATestEventos
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2 curso1 cursada curso2 curso3 cursada2 cursada3 grupoI alumno1 alumno2 alumno3 docente1 docente2 docente3 actividad1 actividad2 actividad3 actividad4 sesion1 sesion2 experimento resultado aula1 aula2 recursos1 recursos2 recursos3 pizarron'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestEventos methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 12:38'!
setUp 
grupoI := AGrupoInvestigacion new.
alumno1 :=AAlumno new.
alumno2 :=AAlumno new.
alumno3 :=AAlumno new.

docente1 :=  ADocente new.
docente2 :=  ADocente new.
docente3 :=  ADocente new.


grupoI integrantes add:alumno1.
grupoI integrantes add:alumno2.
grupoI integrantes add:alumno3.

grupoI integrantes add:docente1.
grupoI integrantes add:docente2.
grupoI integrantes add:docente3.

alumno1 gruposInvestigacion add: grupoI.
alumno2 gruposInvestigacion add: grupoI.
alumno3 gruposInvestigacion add: grupoI.

docente1 gruposInvestigacion add: grupoI.
docente2 gruposInvestigacion add: grupoI.
docente3 gruposInvestigacion add: grupoI.

actividad1 := ACharla new.
actividad2 := ACharla new.
actividad3 := AProyecto new.
actividad4 := ASeminario new.

actividad1 grupo: grupoI. 
actividad2 grupo: grupoI.
actividad3 grupo: grupoI.
actividad4 grupo: grupoI.

sesion1:= ASesion new.
sesion2:= ASesion new.

experimento:= AExperimento new.

resultado:=  AResultado new.

actividad1 fechaAprobacion: Date today - 4.
actividad1 fechaPresentacion: Date today-8.
actividad1 montoFinanciamiento: 500.
actividad1 nombre: 'La concha de tu hermana'.
actividad1 responsable: alumno1 .

actividad1 fecha: Date today -1.
actividad1 horaDesde: '13:00'.
actividad1 horaHasta: '24:00'.
actividad1 cantidadEstimadaPublico: 160.


actividad2 fechaAprobacion: Date today - 4.
actividad2 fechaPresentacion: Date today-6.
actividad2 montoFinanciamiento: 1500.
actividad2 nombre: 'La concha de tu hermana2'.
actividad2 responsable: alumno2 .

actividad2 fecha: Date today -2.
actividad2 horaDesde: '12:00'.
actividad2 horaHasta: '23:00'.
actividad2 cantidadEstimadaPublico: 10.

actividad3 fechaAprobacion: Date today - 2.
actividad3 fechaPresentacion: Date today-7.
actividad3 montoFinanciamiento: 2500.
actividad3 nombre: 'La concha de tu hermana3'.
actividad3 responsable: alumno3 .

actividad3 experimentos add: experimento .
actividad3 resultados add: resultado .

experimento descripcion: 'una descripcion'.
experimento fecha: Date today -2.
experimento horaDesde: '12:00'.
experimento horaHasta: '23:00'.

resultado  descripcion: 'una articulo puto'.
resultado  fecha: Date today -2.


actividad4 fechaAprobacion: Date today - 3.
actividad4 fechaPresentacion: Date today-8.
actividad4 montoFinanciamiento: 4500.
actividad4 nombre: 'La concha de tu hermana4'.
actividad4 responsable: alumno3 .

actividad4 sesiones add: sesion1.
actividad4 sesiones add: sesion2.
sesion1 seminario: actividad4.
sesion2 seminario: actividad4.

sesion1 fecha: Date today -2.
sesion1 horaDesde: '12:00'.
sesion1 horaHasta: '23:00'.

sesion2 fecha: Date today -2.
sesion2 horaDesde: '12:00'.
sesion2 horaHasta: '23:00'.


grupoI actividades add: actividad1.
grupoI actividades add: actividad2.
grupoI actividades add: actividad3.
grupoI actividades add: actividad4.

aula1 := AAula new.
aula2 := AAula new.

recursos1 := ARecurso new.
recursos2 := ARecurso new.
recursos3 := ARecurso new.

recursos1 nombre: 'asdasdasd'.
recursos2 nombre: 'asdasdasd2'.
recursos3 nombre: 'asdasdasd3'.

aula1 recursos add: recursos1.
aula1 recursos add: recursos2.
aula1 recursos add: recursos3.
aula1 capacidad: 200.
aula1 superficiePizarron: 100.

aula2 recursos add: recursos1.
aula2 recursos add: recursos3.
aula2 capacidad: 50.
aula2 superficiePizarron: 200.



actividad1 recursos add: recursos1.
actividad2 recursos add: recursos3 .

sesion1 recursos add:recursos2.
sesion2 recursos add:recursos3.
sesion2 recursos add:pizarron.


pizarron := APizarron new.
pizarron m2: 150.

pizarron nombre: 'pizzarra'
! !

!ATestEventos methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 12:10'!
testAgendaDeunGrupo
self assert: grupoI agendaEventos   equals:{ '4 October 2013 12:00 23:00 una descripcion
'. $4. Character space. $O. $c. $t. $o. $b. $e. $r. Character space. $2. $0. $1. $3. Character space. $1. $3. $:. $0. $0. Character space. $2. $4. $:. $0. $0. Character space. $L. $a. Character space. $c. $o. $n. $c. $h. $a. Character space. $d. $e. Character space. $t. $u. Character space. $h. $e. $r. $m. $a. $n. $a. Character cr. '4 October 2013 12:00 23:00 La concha de tu hermana4
'. '4 October 2013 12:00 23:00 La concha de tu hermana4
'. $4. Character space. $O. $c. $t. $o. $b. $e. $r. Character space. $2. $0. $1. $3. Character space. $1. $2. $:. $0. $0. Character space. $2. $3. $:. $0. $0. Character space. $L. $a. Character space. $c. $o. $n. $c. $h. $a. Character space. $d. $e. Character space. $t. $u. Character space. $h. $e. $r. $m. $a. $n. $a. $2. Character cr}! !

!ATestEventos methodsFor: 'as yet unclassified' stamp: 'andres 10/5/2013 12:40'!
testAsignarAulas
self assert: (sesion1  meSirve: aula2 )  equals: false! !
